<?php

namespace Payz;

use Payz\Abstracts\ApiClient;
use Payz\Models\Product;

class Widget extends ApiClient
{
    protected const WIDGET_URL = 'https://payzteam.com/widget/%d?data=%s';

    /**
     * Создание платежа
     *
     * @param Product $product - Объект продукта
     * @return string - URL для оплаты
     */
    public function cretePayment(
        Product $product
    ): string
    {
        $data = $product->toArray();

        $data['sign'] = $this->calculateSign($data);
        $data = http_build_query($data);

        return sprintf(self::WIDGET_URL, $this->merchantId, base64_encode($data));
    }
}